Page MenuHomePhabricator

Clarify/remove 'stalled' status: Rename to "blocked"?
Closed, DeclinedPublic

Description

The 'stalled' state, defined in the bug report life cycle as

If a report is waiting for further input (e.g. from its reporter or a third party) and can currently not be acted on, the Stalled status is temporarily given.

but the status is sometimes interpreted as 'there has not been progress on this recently':

In Bugzilla, this status was called NEEDS_INFO, which is somewhat clearer, but in RT it was used more generically as 'waiting for something to happen before we can progress' (T212#19939). For original discussion on the naming, see T212

Do we want to keep this status, and if so, rename it? Or should we rather try to educate users in its meaning?

Event Timeline

valhallasw raised the priority of this task from to Needs Triage.
valhallasw updated the task description. (Show Details)
valhallasw added a project: Phabricator.
Dzahn added a subscriber: Dzahn.Apr 10 2015, 7:34 PM

"waiting for further input (e.g. from its reporter or a third party) and can currently not be acted on," and "waiting for something to happen before we can progress' " seems to be the same thing to me.

NEEDS_INFO is actually less clear to me because a ticket always needs some kind of "info" (like the solution to the problem), but that doesn't mean it's stalled.

It also doesn't mean "nobody picked up the ticket in a while", that would just mean maybe the priority should be changed.

"stalled" is all about the "can currently not be acted on" part of it, not the info part. It means there is some (usually outside) reason that currently this can't be acted on whether we want it or not, so people should not expect updates on it or go "ping?" until that changed.

In Bugzilla, this status was called NEEDS_INFO

Sorry but Wikimedia Bugzilla never ever had such a status. :)

Do we want to keep this status, and if so, rename it?

I'm very very reluctant to rename because we had that long debate already in T212 and I don't see sudden new arguments.

Or should we rather try to educate users in its meaning?

That one please. "Nothing is blocking this and no further input or consideration is needed and you could pick up this task and solve it" is not "stalled".

Operations requires stalled status for our work and it came over with us from RT. You gotta think beyond bug reports :)

I'm very very reluctant to rename because we had that long debate already in T212 and I don't see sudden new arguments.

As I read it, the conclusion there was along the lines of 'We can't figure out a better name now, and we can always try to figure out a better name later if people do get confused'. Apparently, the naming does confuse people, so if we can find a better name, that might still be an option to consider.

The name 'stalled', as far as I see it, does not clearly convey the message it's waiting for something specific. 'Stalled' simply means 'something that has been brought to a standstill' ('the stalled engine'), and a task which is not currently progressing is stalled in that sense.

In T212#19962, the alternative 'Waiting' was suggested. I agree with @Aklapper that 'people might come up with interpretations like "I'm waiting for a developer to take a look at this and fix this!!!"', but I feel that's a less natural interpretation than interpreting 'stalled' as, well, stalled.

I'm afraid no name will ever erase some interpretation. So I'd rather point people to the on-wiki documentation and improve that documentation.

Dzahn closed this task as Declined.Apr 11 2015, 1:22 AM
Dzahn claimed this task.

The classic example of stalled is when you are waiting for an external party who will definitely not use this bug tracker so you can't just assign it to them. For example the ticket is "buy a thing" or "register a domain" and the vendor says "out of stock" or "pending transfer process from the former owner" or stuff like that. That is when you set stuff to stalled. It makes clear the current assignee can't do anything about it currently, so don't expect him to. If the person you were waiting on was another phab user you would instead just assign the ticket to them for that time.

Dzahn reopened this task as Open.Apr 11 2015, 1:23 AM

eh, sorry, the status change was by accident, i just wanted to comment.

Dzahn removed Dzahn as the assignee of this task.Apr 13 2015, 9:25 PM
mmodell triaged this task as Low priority.Jul 7 2015, 2:36 PM
mmodell moved this task from To Triage to Misc on the Phabricator board.
Restricted Application added a subscriber: scfc. · View Herald TranscriptJul 7 2015, 2:36 PM
mmodell raised the priority of this task from Low to Normal.Jul 7 2015, 2:36 PM
mmodell added a subscriber: mmodell.

Would blocked be a better name for it?

mmodell moved this task from Misc to Need discussion on the Phabricator board.Jul 7 2015, 2:43 PM
revi added a subscriber: revi.Oct 24 2015, 3:56 AM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 12 2016, 8:29 PM
Aklapper renamed this task from Clarify/remove 'stalled' status to Clarify/remove 'stalled' status: Rename to "blocked"?.Jan 12 2016, 11:13 PM
Aklapper lowered the priority of this task from Normal to Low.
Aklapper set Security to None.
TTO added a subscriber: TTO.Jan 12 2016, 11:25 PM

I don't like "Blocked". It creates confusion with the "Blocks"/"Blocked by" field. A task shouldn't be set to "Stalled"/"Blocked" simply because it is blocked by other Phabricator tasks. I think renaming the status to "Blocked" will lead to more abuse of the status, not less, and it will certainly create more confusion.

I like Daniel's interpretation of the purpose of "Stalled" (it means you're waiting for something or someone external to this tracker). "Stalled" is also used when waiting for community consensus on a site request, or waiting for clarification from a bug reporter who doesn't seem to check his or her email very often.

agree with everything @TTO said here

Aklapper closed this task as Declined.Jan 13 2016, 12:05 AM
Aklapper claimed this task.

TTO has great points.
Hence I am closing this task as declined.